#include <iostream>
#include <stdlib.h>
#include <math.h>
#include "fctauxi.h"

using namespace std;

class Vecteur{
 public:
  int width;
  int height;
  float* angles;
  float* normes;
  
  Vecteur(int w, int h);
  //constructeur par default alloue angles et normes a la bonne taille
  Vecteur(int w, int h, string modele); 
  //cree un champ de vecteur qui respecte le modele modele
  Vecteur(int w, int h, string modele, int numero);
  //cree un champ de vecteur qui respectre le modele modele avec le parametre numero

  //acceseur
  int getWidth();
  int getHeight();  
  float angle(int i, int j);
  float norme(int i, int j);	
  //modificateurs
  void setangle(int i, int j, float angle);
  void setnorme(int i, int j, float norme);

  //Division de la matrice vecteurs par un facteur 2.
  Vecteur* Subsample();

};
