#ifndef __ANNUSE__
#define __ANNUSE__
 
#include <stdio.h>
#include "ann/include/ANN/ANN.h"
#include "image.h"
#include "Point.h" 

 
class annUse 
{
 public:
  //Constructeur
  annUse(Image* A, int taillVoisi);
 
  //calcul du point le plus proche de q
  Point* bestApproximateMatch(Image* B,Point* q, Image* A, float angle, float norme);
  
  ~annUse();
 
 private:
  int k;
  int dim;
  double eps;
  int N;
  
  int nPts;
  ANNpointArray	dataPts;
  ANNidxArray nnIdx;
  ANNdistArray dists;
  ANNkd_tree* kdTree;	
 
  //pour l'initialisation de la base de vecteur ANN
  ANNpoint makeANNPointInit(Image* I, int x, int y);
  //pour effecteur une recherche dans la base de vecteur ANN
  ANNpoint makeANNPoint(Image* I, int x, int y,Image* E,float angle, float norme);

};
 
 
#endif
